[package]
name = "tree-sitter"
description = "Rust bindings to the Tree-sitter parsing library"
version = "0.20.10"
authors = ["Max Brunsfeld <maxbrunsfeld@gmail.com>"]
edition = "2021"
license = "MIT"
readme = "binding_rust/README.md"
keywords = ["incremental", "parsing"]
categories = ["api-bindings", "parsing", "text-editors"]
repository = "https://github.com/tree-sitter/tree-sitter"
rust-version.workspace = true

build = "binding_rust/build.rs"

include = [
  "/binding_rust/*",
  "/Cargo.toml",
  "/include/*",
  "/src/*.h",
  "/src/*.c",
  "/src/unicode/*",
]

[dependencies]
regex = "1.9.1"

[build-dependencies]
bindgen = { version = "^0.66.1", optional = true }
cc = "^1.0.79"

[lib]
path = "binding_rust/lib.rs"
